Get trace
curl --request GET \
--url https://api.uselemma.ai/traces/{trace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/traces/{trace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/traces/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"otel_trace_id": "<string>",
"project_id": "<string>",
"service_name": "<string>",
"agent_name": "<string>",
"thread_id": "<string>",
"thread_trace_count": 123,
"agent_input_display": "<string>",
"has_error": true,
"total_duration_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "<string>",
"spans": [
{
"id": "<string>",
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": "<string>",
"end_time_ns": "<string>",
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": "<unknown>"
}
],
"stats": {
"span_count": 123,
"total_tokens": 123,
"total_duration_ms": 123,
"error_count": 123,
"tool_calls": [
{
"name": "<string>",
"otel_span_id": "<string>",
"status": "<string>"
}
],
"models_used": [
"<string>"
]
},
"issue_extraction": {
"issue_count": 123,
"occurrence_count": 123,
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
},
"project_name": "<string>",
"agent_input": null,
"agent_output": null
}{
"detail": "<string>"
}Traces
Get trace
Loads a single trace with spans and stats.
GET
/
traces
/
{trace_id}
Get trace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Trace details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I